#include <cstdio>
#include <cstring>
#include <map>
#include <vector>
#include <queue>
#include <set>
#include <string>
#include <cstdlib>
#include <cmath>
using namespace std;

struct pvec {
  long long int x,y;
  pvec(long long int x=0,long long int y=0) :x(x), y(y) {}
  pvec operator-(pvec p){ return pvec(x-p.x,y-p.y); }
  long long int cross(pvec p){ return x*p.y - y*p.x; }
  long long int sqr() { return x*x+y*y; }
};

bool deu1,deu2,deu;
int n,x,y,C=1;
pvec v[128];
double res;

int main(){

  while(scanf("%d",&n)==1 and n){
    for(int i=0;i<n;i++){
      scanf("%d %d",&x,&y);
      v[i]=pvec(x,y);
    }

    res=1e100;
    for(int i=0;i<n;i++){
      for(int j=i+1;j<n;j++){
        deu1=deu2=true;

        // checar q todo mundo ta de um lado da reta (esquerda/direita)
        // cross i-j,k-j <0 => pau
        for(int k=0;k<n;k++) if(k!=i and k!=j){
          if((v[i]-v[j]).cross(v[k]-v[j])>0)
            deu1=false;
        }
        // cross i-j,k-j <0 => pau
        for(int k=0;k<n;k++) if(k!=i and k!=j){
          if((v[i]-v[j]).cross(v[k]-v[j])<0)
            deu2=false;
        }
        deu = deu1 or deu2;

        // ponto mais distante de reta
        if(deu){
          double dist=0.0;
          for(int k=0;k<n;k++) if(k!=i and k!=j){
            long long int cr = (v[i]-v[j]).cross(v[k]-v[j]);
            dist=max(dist,sqrt(cr*cr/(double)(v[i]-v[j]).sqr()));
          }
          res=min(res,dist);
        }

      }
    }
    printf("Case %d: %.2lf\n",C++,res+0.005);
  }

  return 0;
}
